Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.varia.stats
Interface DataSourceInterceptorMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  DataSourceInterceptor

public interface DataSourceInterceptorMBean
extends org.jboss.system.ServiceMBean

Version:
  `$Revision: 1.2 $`
Author:
  Alexey Loubyansky

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`String` | `getBindName()`
`javax.management.ObjectName` | `getStatsCollector()`
`String` | `getTargetName()`
`void` | `setBindName(String bindName)`
`void` | `setStatsCollector(javax.management.ObjectName statsCollector)`
`void` | `setTargetName(String targetName)`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### getStatsCollector

    public javax.management.ObjectName getStatsCollector()

### setStatsCollector

    public void setStatsCollector(javax.management.ObjectName statsCollector)

### getBindName

    public String getBindName()

### setBindName

    public void setBindName(String bindName)
                     throws NamingException

  Throws:
    `NamingException`

### getTargetName

    public String getTargetName()

### setTargetName

    public void setTargetName(String targetName)
                       throws NamingException

  Throws:
    `NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.